## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface AltExp

All Superinterfaces:
  org.eclipse.ocl.utilities.ASTNode, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.ETypedElement, ImperativeExpression, org.eclipse.emf.common.notify.Notifier, org.eclipse.ocl.expressions.OCLExpression<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.TypedElement<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.Visitable

All Known Implementing Classes:
  AltExpImpl

    public interface AltExp

extends ImperativeExpression

A representation of the model object 'Alt Exp'.

The following features are supported:

- `Body`
- `Condition`

See Also:
  `ImperativeOCLPackage.getAltExp()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`org.eclipse.ocl.ecore.OCLExpression` `getBody()` Returns the value of the 'Body' containment reference
`org.eclipse.ocl.ecore.OCLExpression` `getCondition()` Returns the value of the 'Condition' containment reference
`void` `setBody(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Body`' containment reference
`void` `setCondition(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Condition`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getBody

    org.eclipse.ocl.ecore.OCLExpression getBody()

  Returns the value of the 'Body' containment reference.

  If the meaning of the 'Body' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' containment reference.
  See Also:
    `setBody(OCLExpression)`, `ImperativeOCLPackage.getAltExp_Body()`

### setBody

    void setBody(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Body' containment reference.
  See Also:
    `getBody()`

### getCondition

    org.eclipse.ocl.ecore.OCLExpression getCondition()

  Returns the value of the 'Condition' containment reference.

  If the meaning of the 'Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `setCondition(OCLExpression)`, `ImperativeOCLPackage.getAltExp_Condition()`

### setCondition

    void setCondition(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getCondition()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.